from django.db.models.signals import post_migrate
from django.dispatch import receiver
from django_celery_beat.models import IntervalSchedule, PeriodicTask
import json


@receiver(post_migrate)
def setup_periodic_tasks(sender, **kwargs):
    
    schedule, created = IntervalSchedule.objects.get_or_create(
        every=5,
        period=IntervalSchedule.SECONDS,
    )

    # Déclarer la tâche périodique
    PeriodicTask.objects.get_or_create(
        interval=schedule,  # Utiliser l'intervalle défini ci-dessus
        name='Tâche périodique toutes les 5 secondes',
        task='Subscriptions.tasks.check_for_signature_deadlines',  # Remplacer par le nom de ta tâche
        kwargs=json.dumps({})  # Si nécessaire, ajoute
    )